summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorsean-simmons-progress <111799713+sean-simmons-progress@users.noreply.github.com>2023-03-30 14:15:34 -0400
committerGitHub <noreply@github.com>2023-03-30 14:15:34 -0400
commit02c6454e52a4d8d098f4f366833b829c20195b4d (patch)
tree027635b46e667a0e0aaf68134aec3721fc18005f
parent78c79a3cef728e56c5ff11e0a75bfdc3cbda0de5 (diff)
parentfd6123efb172b773852655cb81a5cfd8029bb2d1 (diff)
downloadchef-02c6454e52a4d8d098f4f366833b829c20195b4d.tar.gz
Merge pull request #13657 from chef/sean-simmons-progress/bugfix/build-docker-image
Sean simmons progress/bugfix/build docker image
-rwxr-xr-x.buildkite/build-test-omnibus.sh36
-rwxr-xr-x.buildkite/verify.pipeline.sh6
-rw-r--r--.expeditor/adhoc-canary.omnibus.yml2
-rwxr-xr-x.expeditor/build-docker-images.sh2
-rw-r--r--.expeditor/release.omnibus.yml7
-rw-r--r--.expeditor/scripts/omnibus_chef_build.ps12
-rwxr-xr-x.expeditor/scripts/omnibus_chef_build.sh2
-rw-r--r--Dockerfile2
8 files changed, 41 insertions, 18 deletions
diff --git a/.buildkite/build-test-omnibus.sh b/.buildkite/build-test-omnibus.sh
index d1fac27ade..b7218f4d19 100755
--- a/.buildkite/build-test-omnibus.sh
+++ b/.buildkite/build-test-omnibus.sh
@@ -1,3 +1,5 @@
+set -e pipefail
+
if [[ -z "${BUILDKITE_BUILD_CREATOR_TEAMS:-}" ]]
then
echo "- block: Build & Test Omnibus Packages"
@@ -9,7 +11,7 @@ fi
FILTER="${OMNIBUS_FILTER:=*}"
# array of all container platforms in the format test-platform:build-platform
-container_platforms=("amazon-2:centos-7" "centos-6:centos-6" "centos-7:centos-7" "centos-8:centos-8" "rhel-9:rhel-9" "debian-9:debian-9" "debian-10:debian-9" "debian-11:debian-9" "ubuntu-1604:ubuntu-1604" "ubuntu-1804:ubuntu-1604" "ubuntu-2004:ubuntu-1604" "ubuntu-2204:ubuntu-1604" "sles-15:sles-15" "windows-2019:windows-2019")
+container_platforms=("amazon-2:centos-7" "amazon-2-arm:amazon-2-arm" "centos-6:centos-6" "centos-7:centos-7" "centos-7-arm:centos-7-arm" "centos-8:centos-8" "centos-8-arm:centos-8-arm" "sles-15-arm:sles-15-arm" "rhel-9:rhel-9" "rhel-9-arm:rhel-9-arm" "debian-9:debian-9" "debian-10:debian-9" "debian-11:debian-9" "ubuntu-1604:ubuntu-1604" "ubuntu-1804:ubuntu-1604" "ubuntu-2004:ubuntu-1604" "ubuntu-2204:ubuntu-1604" "ubuntu-1804-arm:ubuntu-1804-arm" "ubuntu-2004-arm:ubuntu-2004-arm" "ubuntu-2204-arm:ubuntu-2204-arm" "sles-15:sles-15" "windows-2019:windows-2019")
# add rest of windows platforms to tests, if not on chef-oss org
if [ $BUILDKITE_ORGANIZATION_SLUG != "chef-oss" ]
@@ -66,20 +68,34 @@ fi
# using shell parameter expansion this checks to make sure the omnibus_build_platforms array isn't empty if OMNIBUS_FILTER is only esoteric platforms
# prevents omnibus_build_platforms unbound variable error
+container_platforms=("centos-7:centos-7" "centos-7-arm:centos-7-arm")
+
if [[ ! -z "${omnibus_build_platforms:-}" ]]
then
for platform in ${omnibus_build_platforms[@]}; do
if [[ $platform != *"windows"* ]]; then
- echo "- label: \":hammer_and_wrench::docker: $platform\""
+ if [[ $platform == *"arm"* ]]; then
+ echo "- label: \":hammer_and_wrench::docker::muscle: $platform\""
+ else
+ echo "- label: \":hammer_and_wrench::docker: $platform\""
+ fi
echo " retry:"
echo " automatic:"
echo " limit: 1"
echo " key: build-$platform"
echo " agents:"
- echo " queue: default-privileged"
+ if [[ $platform == *"arm"* ]]; then
+ echo " queue: docker-linux-arm64"
+ else
+ echo " queue: default-privileged"
+ fi
echo " plugins:"
echo " - docker#v3.5.0:"
- echo " image: chefes/omnibus-toolchain-$platform:$OMNIBUS_TOOLCHAIN_VERSION"
+ if [[ $platform == *"arm"* ]]; then
+ echo " image: chefes/omnibus-toolchain-${platform%????}:$OMNIBUS_TOOLCHAIN_VERSION"
+ else
+ echo " image: chefes/omnibus-toolchain-$platform:$OMNIBUS_TOOLCHAIN_VERSION"
+ fi
echo " privileged: true"
echo " propagate-environment: true"
echo " environment:"
@@ -209,13 +225,21 @@ then
if [[ $platform != *"windows"* ]]; then
echo "- env:"
echo " OMNIBUS_BUILDER_KEY: build-${platform#*:}"
- echo " label: \":mag::docker: ${platform%:*}\""
+ if [[ $platform == *"arm"* ]]; then
+ echo " label: \":mag::docker::muscle: ${platform%:*}\""
+ else
+ echo " label: \":mag::docker: ${platform%:*}\""
+ fi
echo " key: test-${platform%:*}"
echo " retry:"
echo " automatic:"
echo " limit: 1"
echo " agents:"
- echo " queue: default-privileged"
+ if [[ $platform == *"arm"* ]]; then
+ echo " queue: docker-linux-arm64"
+ else
+ echo " queue: default-privileged"
+ fi
echo " plugins:"
echo " - docker#v3.5.0:"
echo " image: chefes/omnibus-toolchain-${platform%:*}:$OMNIBUS_TOOLCHAIN_VERSION"
diff --git a/.buildkite/verify.pipeline.sh b/.buildkite/verify.pipeline.sh
index 9e36d2cb6d..cf7346752f 100755
--- a/.buildkite/verify.pipeline.sh
+++ b/.buildkite/verify.pipeline.sh
@@ -170,6 +170,6 @@ for plan in ${habitat_plans[@]}; do
done
# include build and test omnibus pipeline
-DIR="${BASH_SOURCE%/*}"
-if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi
-source "$DIR/build-test-omnibus.sh" \ No newline at end of file
+# DIR="${BASH_SOURCE%/*}"
+# if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi
+# source "$DIR/build-test-omnibus.sh" \ No newline at end of file
diff --git a/.expeditor/adhoc-canary.omnibus.yml b/.expeditor/adhoc-canary.omnibus.yml
index a19e39058e..2ef219fdfa 100644
--- a/.expeditor/adhoc-canary.omnibus.yml
+++ b/.expeditor/adhoc-canary.omnibus.yml
@@ -80,7 +80,7 @@ builder-to-testers-map:
- ubuntu-18.04-x86_64
- ubuntu-20.04-x86_64
- ubuntu-22.04-x86_64
- windows-2012r2-x86_64:
+ windows-10-x86_64:
- windows-2012-x86_64
- windows-2012r2-x86_64
- windows-2016-x86_64
diff --git a/.expeditor/build-docker-images.sh b/.expeditor/build-docker-images.sh
index 2580284997..91b9e97344 100755
--- a/.expeditor/build-docker-images.sh
+++ b/.expeditor/build-docker-images.sh
@@ -1,5 +1,5 @@
#! /bin/bash
-set -eu -o pipefail
+set -eux -o pipefail
arch=$1
diff --git a/.expeditor/release.omnibus.yml b/.expeditor/release.omnibus.yml
index c17d05aa73..7d615b8ea2 100644
--- a/.expeditor/release.omnibus.yml
+++ b/.expeditor/release.omnibus.yml
@@ -81,12 +81,11 @@ builder-to-testers-map:
- ubuntu-18.04-x86_64
- ubuntu-20.04-x86_64
- ubuntu-22.04-x86_64
- windows-2012r2-x86_64:
+ windows-10-x86_64:
- windows-2012-x86_64
- windows-2012r2-x86_64
- windows-2016-x86_64
- windows-2019-x86_64
- windows-2022-x86_64
- #- windows-10-x86_64
- #- windows-11-x86_64
-
+ - windows-10-x86_64
+ - windows-11-x86_64 \ No newline at end of file
diff --git a/.expeditor/scripts/omnibus_chef_build.ps1 b/.expeditor/scripts/omnibus_chef_build.ps1
index 5bd8bfbcf5..dc933c8a96 100644
--- a/.expeditor/scripts/omnibus_chef_build.ps1
+++ b/.expeditor/scripts/omnibus_chef_build.ps1
@@ -32,7 +32,7 @@ Write-Output "--- Install Chef Foundation"
. { Invoke-WebRequest -useb https://omnitruck.chef.io/chef/install.ps1 } | Invoke-Expression; install -channel "current" -project "chef-foundation" -v $CHEF_FOUNDATION_VERSION
$env:PROJECT_NAME="chef"
-$env:OMNIBUS_PIPELINE_DEFINITION_PATH="${ScriptDir}/../release.omnibus.yaml"
+$env:OMNIBUS_PIPELINE_DEFINITION_PATH="${ScriptDir}/../release.omnibus.yml"
$env:OMNIBUS_SIGNING_IDENTITY="${thumb}"
$env:HOMEDRIVE = "C:"
$env:HOMEPATH = "\Users\ContainerAdministrator"
diff --git a/.expeditor/scripts/omnibus_chef_build.sh b/.expeditor/scripts/omnibus_chef_build.sh
index 3c4130a8c3..751356d3b3 100755
--- a/.expeditor/scripts/omnibus_chef_build.sh
+++ b/.expeditor/scripts/omnibus_chef_build.sh
@@ -10,7 +10,7 @@ export ARTIFACTORY_USERNAME="buildkite"
export PROJECT_NAME="chef"
export PATH="/opt/omnibus-toolchain/bin:${PATH}"
export OMNIBUS_FIPS_MODE="true"
-export OMNIBUS_PIPELINE_DEFINITION_PATH="${SCRIPT_DIR}/../release.omnibus.yaml"
+export OMNIBUS_PIPELINE_DEFINITION_PATH="${SCRIPT_DIR}/../release.omnibus.yml"
echo "--- Installing Chef Foundation"
curl -fsSL https://omnitruck.chef.io/chef/install.sh | bash -s -- -c "current" -P "chef-foundation" -v "$CHEF_FOUNDATION_VERSION"
diff --git a/Dockerfile b/Dockerfile
index d67ca36e58..c92ab21012 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -18,7 +18,7 @@ FROM busybox
LABEL maintainer="Chef Software, Inc. <docker@chef.io>"
ARG CHANNEL=stable
-ARG VERSION=18.1.0
+ARG VERSION=18.2.3
ARG ARCH=x86_64
ARG PKG_VERSION=6